List plugin secrets
Lists the stored secrets' plugin IDs, names, and fingerprints; values are never returned. Admin only; API keys are refused.
get
https://<host>/api/v1/plugins/secretsbash
curl --request GET \
--url 'https://<host>/api/v1/plugins/secrets' \
--header 'Authorization: Bearer <token>'javascript
const response = await fetch("https://<host>/api/v1/plugins/secrets", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();typescript
interface ListPluginSecretsResponse {
correlation_id?: string;
items?: Record<string, unknown>[];
}
const response = await fetch("https://<host>/api/v1/plugins/secrets", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
if (!response.ok) throw new Error(`${response.status} ${response.statusText}`);
const data: ListPluginSecretsResponse = await response.json();python
import requests
response = requests.get(
"https://<host>/api/v1/plugins/secrets",
headers={
"Authorization": "Bearer <token>",
},
)
response.raise_for_status()
print(response.json())go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest(http.MethodGet, "https://<host>/api/v1/plugins/secrets", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <token>")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, err := io.ReadAll(res.Body)
if err != nil {
panic(err)
}
fmt.Println(res.Status, string(data))
}java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://<host>/api/v1/plugins/secrets"))
.header("Authorization", "Bearer <token>")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.statusCode() + " " + response.body());
}
}csharp
using System.Net.Http.Headers;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Get, "https://<host>/api/v1/plugins/secrets");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<token>");
using var response = await client.SendAsync(request);
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");php
<?php
$ch = curl_init('https://<host>/api/v1/plugins/secrets');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
CURLOPT_RETURNTRANSFER => true,
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
echo $status . " " . $response . PHP_EOL;ruby
require "net/http"
uri = URI("https://<host>/api/v1/plugins/secrets")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
http.request(request)
end
puts "#{response.code} #{response.body}"rust
// Cargo.toml dependencies: reqwest, tokio (features "full")
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let response = reqwest::Client::new()
.get("https://<host>/api/v1/plugins/secrets")
.header("Authorization", "Bearer <token>")
.send()
.await?;
println!("{} {}", response.status(), response.text().await?);
Ok(())
}Authorizations
BearerAuth· API key in header "Authorization" — Type "Bearer" followed by a space and a sign-in token: a Guardian Platform JWT, or an OIDC ID token in a standalone deployment.
Parameters
Query parameters
| Name | Type | Description |
|---|---|---|
plugin_id | string | Only this plugin's secrets |
Responses
200OK
application/json
correlation_idstringitemsplugins.PluginSecretMetadata[]Show properties
Array of
plugins.PluginSecretMetadatacreated_atstringcreated_bystringidintegerkey_idstringnamestringplugin_idstringupdated_atstringupdated_bystringvalue_fingerprintstring
Examplejson
{
"correlation_id": "string",
"items": [
{
"created_at": "string",
"created_by": "string",
"id": 0,
"key_id": "string",
"name": "string",
"plugin_id": "string",
"updated_at": "string",
"updated_by": "string",
"value_fingerprint": "string"
}
]
}401Unauthorized
application/json
codestringcorrelation_idstringmessagestring
Examplejson
{
"code": "string",
"correlation_id": "string",
"message": "string"
}403Forbidden
application/json
codestringcorrelation_idstringmessagestring
Examplejson
{
"code": "string",
"correlation_id": "string",
"message": "string"
}500Plugin secret store not configured
application/json
codestringcorrelation_idstringmessagestring
Examplejson
{
"code": "string",
"correlation_id": "string",
"message": "string"
}